Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.service
Class Inquiry

    java.lang.Object
      |
      +--weblogic.uddi.client.service.UDDIService
            |
            +--weblogic.uddi.client.service.Inquiry

public class Inquiry
extends UDDIService

The Inquiry class holds all the inquiry api function.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.service.UDDIService
`URL`

Constructor Summary
`Inquiry()`

Method Summary
`BindingDetail` | `findBinding(FindBinding input)` Creates a soap message, using the requested find_binding structure, to make a function call at the remote registry.
`BusinessList` | `findBusiness(FindBusiness input)` Creates a soap message, using the requested find_business structure, to make a function call at the remote registry.
`ServiceList` | `findService(FindService input)` Creates a soap message, using the requested find_service structure, to make a function call at the remote registry.
`TModelList` | `findTModel(FindTModel input)` Creates a soap message, using the requested find_tModel structure, to make a function call at the remote registry.
`BindingDetail` | `getBindingDetail(GetBindingDetail input)` Creates a soap message, using the requested get_bindingDetail structure, to make a function call at the remote registry.
`BusinessDetail` | `getBusinessDetail(GetBusinessDetail input)` Creates a soap message, using the requested get_businessDetail structure, to make a function call at the remote registry.
`BusinessDetailExt` | `getBusinessDetailExt(GetBusinessDetailExt input)` Creates a soap message, using the requested get_businessDetailExt structure, to make a function call at the remote registry.
`ServiceDetail` | `getServiceDetail(GetServiceDetail input)` Creates a soap message, using the requested get_serviceDetail structure, to make a function call at the remote registry.
`TModelDetail` | `getTModelDetail(GetTModelDetail input)` Creates a soap message, using the requested get_tModelDetail structure, to make a function call at the remote registry.

Methods inherited from class weblogic.uddi.client.service.UDDIService
`getURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Inquiry

    public Inquiry()

Method Detail

### findBinding

    public BindingDetail findBinding(FindBinding input)
                              throws UDDIException,
                                     XML_SoapException

  Creates a soap message, using the requested find_binding structure, to make a function call at the remote registry.

  Parameters:
    `input` - the find_binding structure reqested for the function call.
  Returns:
    list of matching binding templates.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### findBusiness

    public BusinessList findBusiness(FindBusiness input)
                              throws UDDIException,
                                     XML_SoapException

  Creates a soap message, using the requested find_business structure, to make a function call at the remote registry.

  Parameters:
    `input` - the find_business structure reqested for the function call.
  Returns:
    abbreviated list of matching businesses.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### findService

    public ServiceList findService(FindService input)
                            throws UDDIException,
                                   XML_SoapException

  Creates a soap message, using the requested find_service structure, to make a function call at the remote registry. NOTE: When you use this method to find the service based on the service name, the specified FindService object must have the business key set along with the service name. If the business key is not specified, then a UDDIException is raised.

  Parameters:
    `input` - the find_service structure reqested for the function call.
  Returns:
    abbreviated list of matching business services.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### findTModel

    public TModelList findTModel(FindTModel input)
                          throws UDDIException,
                                 XML_SoapException

  Creates a soap message, using the requested find_tModel structure, to make a function call at the remote registry.

  Parameters:
    `input` - the find_tModel structure reqested for the function call.
  Returns:
    abbreviated list of matching tModels.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### getBindingDetail

    public BindingDetail getBindingDetail(GetBindingDetail input)
                                   throws UDDIException,
                                          XML_SoapException

  Creates a soap message, using the requested get_bindingDetail structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_bindingDetail structure reqested for the function call.
  Returns:
    complete detail for the requested binding templates.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### getBusinessDetail

    public BusinessDetail getBusinessDetail(GetBusinessDetail input)
                                     throws UDDIException,
                                            XML_SoapException

  Creates a soap message, using the requested get_businessDetail structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_businessDetail structure reqested for the function call.
  Returns:
    complete detail for the requested businesses.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### getBusinessDetailExt

    public BusinessDetailExt getBusinessDetailExt(GetBusinessDetailExt input)
                                           throws UDDIException,
                                                  XML_SoapException

  Creates a soap message, using the requested get_businessDetailExt structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_businessDetailExt structure reqested for the function call.
  Returns:
    complete detail for the requested businesses.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### getServiceDetail

    public ServiceDetail getServiceDetail(GetServiceDetail input)
                                   throws UDDIException,
                                          XML_SoapException

  Creates a soap message, using the requested get_serviceDetail structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_serviceDetail structure reqested for the function call.
  Returns:
    complete detail for the requested business services.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

### getTModelDetail

    public TModelDetail getTModelDetail(GetTModelDetail input)
                                 throws UDDIException,
                                        XML_SoapException

  Creates a soap message, using the requested get_tModelDetail structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_tModelDetail structure reqested for the function call.
  Returns:
    complete detail for the requested tModels.
  Throws:
    uddi.structures.exception.UDDIException - error in the function call.
    uddi.structures.exception.XML_SoapException - error in creating and sending of soap message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference